Skip to main content

Delete row

Permanently delete a single row from a table.

DELETE/api/tables/{table_id}/rows/{row_id}
HTTP referenceScope tables:writeUpdated September 27, 2026

This page documents the canonical HTTP contract for this endpoint.

Path parameters

  • table_idrequired

    string

    Target table ID.

  • row_idrequired

    string

    ID of the row to delete.

Errors

StatusMeaning
401Invalid API key or missing auth.
403Access denied or missing tables:write scope.
404Row not found.
409Table is deleting or another row mutation is active.

Docs